﻿using System;
using Windows.Storage;
using Windows.Storage.Pickers;
using Windows.Storage.Streams;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Media.Imaging;

namespace AsyncDemo
{
    partial class MainPage
    {
        public MainPage()
        {
            InitializeComponent();
        }

        async void OnButtonClick(object sender, RoutedEventArgs args)
        {
            appbar.IsOpen = false;

            FileOpenPicker fileOpenPicker = new FileOpenPicker
            {
                CommitButtonText = "Open",
                FileTypeFilter = { ".png", ".jpg", ".jpeg", ".bmp" },
                SuggestedStartLocation = PickerLocationId.PicturesLibrary,
                ViewMode = PickerViewMode.List
            };

            StorageFile storageFile = await fileOpenPicker.PickSingleFileAsync();

            if (storageFile == null)
                return;

            IRandomAccessStream stream = await storageFile.OpenAsync(FileAccessMode.Read);
            BitmapImage bitmap = new BitmapImage();
            bitmap.SetSource(stream);
            image.Source = bitmap;
        }
    }
}
